import React, { JSXElementConstructor } from "react";
export type Element = keyof JSX.IntrinsicElements | JSXElementConstructor<any>;
export type Props<C extends Element> = Omit<React.ComponentProps<C>, "ref"> & {
    overrideClassName?: string;
    className?: string;
    component: C;
    innerRef?: React.ForwardedRef<C>;
};
declare function OverridableStyledComponent<C extends Element>({ component: Component, overrideClassName, className, innerRef, ...props }: Props<C>): JSX.Element;
export default OverridableStyledComponent;
