/// <reference types="react" />
import { APIEmbed, APIEmbedImage } from "discord-api-types/v10";
declare enum EmbedType {
    /**
     * Generic embed rendered from embed attributes
     */
    Rich = "rich",
    /**
     * Image embed
     */
    Image = "image",
    /**
     * Video embed
     */
    Video = "video",
    /**
     * Animated gif image embed rendered as a video embed
     */
    GIFV = "gifv",
    /**
     * Article embed
     */
    Article = "article",
    /**
     * Link embed
     */
    Link = "link"
}
export interface EmbedProps {
    embed: APIEmbed & {
        type?: EmbedType;
    };
    images: APIEmbedImage[] | undefined;
}
declare function Embed({ embed, images }: EmbedProps): JSX.Element;
export default Embed;
