/// <reference types="react" />
import SvgFromUrl from "@root/SvgFromUrl";
export declare const Embed: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLElement> & import("react").HTMLAttributes<HTMLElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<import("@stitches/react/types/styled-component").StyledComponentProps<[{
        padding: import("@stitches/react/types/theme").Token<"xxl", string, "space", "">;
        paddingLeft: import("@stitches/react/types/theme").Token<"xl", string, "space", "">;
        borderLeftWidth: number;
        borderLeftStyle: string;
        borderLeftColor: import("@stitches/react/types/theme").Token<"backgroundTertiary", string, "colors", "">;
        borderRadius: number;
        backgroundColor: import("@stitches/react/types/theme").Token<"backgroundSecondary", string, "colors", "">;
        width: string;
        gap: import("@stitches/react/types/theme").Token<"large", string, "space", "">;
        display: string;
        flexDirection: string;
        maxWidth: number;
        variants: {
            thin: {
                true: {
                    maxWidth: number;
                };
            };
        };
    }]>, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLElement>> & import("react").RefAttributes<"article">>;
export declare const ContentAndThumbnail: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<import("@stitches/react/types/styled-component").StyledComponentProps<[{
        display: string;
        gap: import("@stitches/react/types/theme").Token<"xxl", string, "space", "">;
        variants: {
            hasLargeThumbnail: {
                true: {
                    flexDirection: string;
                    maxWidth: number;
                };
            };
        };
    }]>, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Content: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Provider: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Author: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const AuthorIcon: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLImageElement> & import("react").ImgHTMLAttributes<HTMLImageElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").ImgHTMLAttributes<HTMLImageElement>> & import("react").RefAttributes<"img">>;
export declare const AuthorName: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLSpanElement> & import("react").HTMLAttributes<HTMLSpanElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLSpanElement>> & import("react").RefAttributes<"span">>;
export declare const Title: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<import("@stitches/react/types/styled-component").StyledComponentProps<[{
        fontSize: import("@stitches/react/types/theme").Token<"l", string, "fontSizes", "">;
        fontWeight: number;
        color: import("@stitches/react/types/theme").Token<"link", string, "colors", "">;
        variants: {
            link: {
                true: {
                    cursor: string;
                    "&:hover": {
                        textDecoration: string;
                    };
                };
            };
        };
    }]>, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Description: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Fields: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Field: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<import("@stitches/react/types/styled-component").StyledComponentProps<[{
        flex: number;
        maxWidth: number;
        flexBasis: string;
        variants: {
            inline: {
                true: {
                    width: string;
                    flexBasis: string;
                };
            };
        };
    }]>, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const FieldName: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const FieldValue: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Image: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLImageElement> & import("react").ImgHTMLAttributes<HTMLImageElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<import("@stitches/react/types/styled-component").StyledComponentProps<[{
        borderRadius: number;
        cursor: string;
        variants: {
            withMargin: {
                true: {
                    marginTop: import("@stitches/react/types/theme").Token<"large", string, "space", "">;
                };
            };
        };
    }]>, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").ImgHTMLAttributes<HTMLImageElement>> & import("react").RefAttributes<"img">>;
export declare const Images: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<import("@stitches/react/types/styled-component").StyledComponentProps<[{
        display: string;
        gap: import("@stitches/react/types/theme").Token<"small", string, "space", "">;
        borderRadius: number;
        overflow: string;
        img: {
            height: string;
            width: string;
            objectFit: string;
        };
        variants: {
            nImages: {
                1: {};
                2: {
                    gridTemplateColumns: string;
                };
                3: {
                    gridTemplateColumns: string;
                    gridTemplateRows: string;
                    "& > *:first-child": {
                        gridRow: string;
                    };
                };
                4: {
                    gridTemplateColumns: string;
                    gridTemplateRows: string;
                };
            };
        };
    }]>, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const ImageGridImageContainer: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Footer: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const FooterIcon: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLImageElement> & import("react").ImgHTMLAttributes<HTMLImageElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").ImgHTMLAttributes<HTMLImageElement>> & import("react").RefAttributes<"img">>;
export declare const MediaEmbed: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLImageElement> & import("react").ImgHTMLAttributes<HTMLImageElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").ImgHTMLAttributes<HTMLImageElement>> & import("react").RefAttributes<"img">>;
export declare const VideoIframe: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLIFrameElement> & import("react").IframeHTMLAttributes<HTMLIFrameElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").IframeHTMLAttributes<HTMLIFrameElement>> & import("react").RefAttributes<"iframe">>;
export declare const VideoThumbnail: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const VideoThumbnailPlayButtonContainer: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const VideoThumbnailPlayButton: import("react").ForwardRefExoticComponent<Pick<{
    width: number;
    height: number;
    svg: import("../../core/SvgContext").Svg;
} & import("react").SVGProps<SVGSVGElement> & {
    stitchesProps?: {
        as?: import("../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "string" | "style" | "svg" | "clipPath" | "filter" | "mask" | "path" | "className" | "ideographic" | "alphabetic" | "hanging" | "mathematical" | "stitchesProps" | "color" | "origin" | "cursor" | "direction" | "display" | "fontFamily" | "fontSize" | "fontSizeAdjust" | "fontStretch" | "fontStyle" | "fontVariant" | "fontWeight" | "height" | "imageRendering" | "letterSpacing" | "opacity" | "order" | "paintOrder" | "pointerEvents" | "rotate" | "scale" | "textRendering" | "transform" | "unicodeBidi" | "visibility" | "width" | "wordSpacing" | "writingMode" | "offset" | "overflow" | "textDecoration" | "alignmentBaseline" | "baselineShift" | "clip" | "clipRule" | "colorInterpolation" | "colorRendering" | "dominantBaseline" | "fill" | "fillOpacity" | "fillRule" | "floodColor" | "floodOpacity" | "glyphOrientationVertical" | "lightingColor" | "markerEnd" | "markerMid" | "markerStart" | "shapeRendering" | "stopColor" | "stopOpacity" | "stroke" | "strokeDasharray" | "strokeDashoffset" | "strokeLinecap" | "strokeLinejoin" | "strokeMiterlimit" | "strokeOpacity" | "strokeWidth" | "textAnchor" | "vectorEffect" | "children" | "local" | "end" | "x" | "y" | "id" | "lang" | "max" | "media" | "method" | "min" | "name" | "target" | "type" | "role" | "tabIndex" | "crossOrigin" | "accentHeight" | "accumulate" | "additive" | "allowReorder" | "amplitude" | "arabicForm" | "ascent" | "attributeName" | "attributeType" | "autoReverse" | "azimuth" | "baseFrequency" | "baseProfile" | "bbox" | "begin" | "bias" | "by" | "calcMode" | "capHeight" | "clipPathUnits" | "colorInterpolationFilters" | "colorProfile" | "contentScriptType" | "contentStyleType" | "cx" | "cy" | "d" | "decelerate" | "descent" | "diffuseConstant" | "divisor" | "dur" | "dx" | "dy" | "edgeMode" | "elevation" | "enableBackground" | "exponent" | "externalResourcesRequired" | "filterRes" | "filterUnits" | "focusable" | "format" | "fr" | "from" | "fx" | "fy" | "g1" | "g2" | "glyphName" | "glyphOrientationHorizontal" | "glyphRef" | "gradientTransform" | "gradientUnits" | "horizAdvX" | "horizOriginX" | "href" | "in2" | "in" | "intercept" | "k1" | "k2" | "k3" | "k4" | "k" | "kernelMatrix" | "kernelUnitLength" | "kerning" | "keyPoints" | "keySplines" | "keyTimes" | "lengthAdjust" | "limitingConeAngle" | "markerHeight" | "markerUnits" | "markerWidth" | "maskContentUnits" | "maskUnits" | "mode" | "numOctaves" | "operator" | "orient" | "orientation" | "overlinePosition" | "overlineThickness" | "panose1" | "pathLength" | "patternContentUnits" | "patternTransform" | "patternUnits" | "points" | "pointsAtX" | "pointsAtY" | "pointsAtZ" | "preserveAlpha" | "preserveAspectRatio" | "primitiveUnits" | "r" | "radius" | "refX" | "refY" | "renderingIntent" | "repeatCount" | "repeatDur" | "requiredExtensions" | "requiredFeatures" | "restart" | "result" | "rx" | "ry" | "seed" | "slope" | "spacing" | "specularConstant" | "specularExponent" | "speed" | "spreadMethod" | "startOffset" | "stdDeviation" | "stemh" | "stemv" | "stitchTiles" | "strikethroughPosition" | "strikethroughThickness" | "surfaceScale" | "systemLanguage" | "tableValues" | "targetX" | "targetY" | "textLength" | "to" | "u1" | "u2" | "underlinePosition" | "underlineThickness" | "unicode" | "unicodeRange" | "unitsPerEm" | "vAlphabetic" | "values" | "version" | "vertAdvY" | "vertOriginX" | "vertOriginY" | "vHanging" | "vIdeographic" | "viewBox" | "viewTarget" | "vMathematical" | "widths" | "x1" | "x2" | "xChannelSelector" | "xHeight" | "xlinkActuate" | "xlinkArcrole" | "xlinkHref" | "xlinkRole" | "xlinkShow" | "xlinkTitle" | "xlinkType" | "xmlBase" | "xmlLang" | "xmlns" | "xmlnsXlink" | "xmlSpace" | "y1" | "y2" | "yChannelSelector" | "z" | "zoomAndPan" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "dangerouslySetInnerHTML" | "onCopy" | "onCopyCapture" | "onCut" | "onCutCapture" | "onPaste" | "onPasteCapture" | "onCompositionEnd" | "onCompositionEndCapture" | "onCompositionStart" | "onCompositionStartCapture" | "onCompositionUpdate" | "onCompositionUpdateCapture" | "onFocus" | "onFocusCapture" | "onBlur" | "onBlurCapture" | "onChange" | "onChangeCapture" | "onBeforeInput" | "onBeforeInputCapture" | "onInput" | "onInputCapture" | "onReset" | "onResetCapture" | "onSubmit" | "onSubmitCapture" | "onInvalid" | "onInvalidCapture" | "onLoad" | "onLoadCapture" | "onError" | "onErrorCapture" | "onKeyDown" | "onKeyDownCapture" | "onKeyPress" | "onKeyPressCapture" | "onKeyUp" | "onKeyUpCapture" | "onAbort" | "onAbortCapture" | "onCanPlay" | "onCanPlayCapture" | "onCanPlayThrough" | "onCanPlayThroughCapture" | "onDurationChange" | "onDurationChangeCapture" | "onEmptied" | "onEmptiedCapture" | "onEncrypted" | "onEncryptedCapture" | "onEnded" | "onEndedCapture" | "onLoadedData" | "onLoadedDataCapture" | "onLoadedMetadata" | "onLoadedMetadataCapture" | "onLoadStart" | "onLoadStartCapture" | "onPause" | "onPauseCapture" | "onPlay" | "onPlayCapture" | "onPlaying" | "onPlayingCapture" | "onProgress" | "onProgressCapture" | "onRateChange" | "onRateChangeCapture" | "onResize" | "onResizeCapture" | "onSeeked" | "onSeekedCapture" | "onSeeking" | "onSeekingCapture" | "onStalled" | "onStalledCapture" | "onSuspend" | "onSuspendCapture" | "onTimeUpdate" | "onTimeUpdateCapture" | "onVolumeChange" | "onVolumeChangeCapture" | "onWaiting" | "onWaitingCapture" | "onAuxClick" | "onAuxClickCapture" | "onClick" | "onClickCapture" | "onContextMenu" | "onContextMenuCapture" | "onDoubleClick" | "onDoubleClickCapture" | "onDrag" | "onDragCapture" | "onDragEnd" | "onDragEndCapture" | "onDragEnter" | "onDragEnterCapture" | "onDragExit" | "onDragExitCapture" | "onDragLeave" | "onDragLeaveCapture" | "onDragOver" | "onDragOverCapture" | "onDragStart" | "onDragStartCapture" | "onDrop" | "onDropCapture" | "onMouseDown" | "onMouseDownCapture" | "onMouseEnter" | "onMouseLeave" | "onMouseMove" | "onMouseMoveCapture" | "onMouseOut" | "onMouseOutCapture" | "onMouseOver" | "onMouseOverCapture" | "onMouseUp" | "onMouseUpCapture" | "onSelect" | "onSelectCapture" | "onTouchCancel" | "onTouchCancelCapture" | "onTouchEnd" | "onTouchEndCapture" | "onTouchMove" | "onTouchMoveCapture" | "onTouchStart" | "onTouchStartCapture" | "onPointerDown" | "onPointerDownCapture" | "onPointerMove" | "onPointerMoveCapture" | "onPointerUp" | "onPointerUpCapture" | "onPointerCancel" | "onPointerCancelCapture" | "onPointerEnter" | "onPointerEnterCapture" | "onPointerLeave" | "onPointerLeaveCapture" | "onPointerOver" | "onPointerOverCapture" | "onPointerOut" | "onPointerOutCapture" | "onGotPointerCapture" | "onGotPointerCaptureCapture" | "onLostPointerCapture" | "onLostPointerCaptureCapture" | "onScroll" | "onScrollCapture" | "onWheel" | "onWheelCapture" | "onAnimationStart" | "onAnimationStartCapture" | "onAnimationEnd" | "onAnimationEndCapture" | "onAnimationIteration" | "onAnimationIterationCapture" | "onTransitionEnd" | "onTransitionEndCapture" | "key"> & import("react").RefAttributes<typeof SvgFromUrl>>;
