import React from "react";
import { Element } from "@root/Stitches/OverridableStyledComponent";
export declare function styled<Comp extends Element, Css extends string | ((args: {
    as?: Element;
} & Record<string, unknown>) => string)>(component: Comp, overrideClassName: string, cssClass: Css): React.ForwardRefExoticComponent<React.PropsWithoutRef<React.ComponentProps<Comp> & {
    stitchesProps?: {
        as?: Element;
    } & (Css extends (arg: infer P) => string ? P : {}) & (React.ComponentProps<Comp> extends {
        stitchesProps: infer P_1;
    } ? P_1 : {});
}> & React.RefAttributes<Comp>>;
export declare const theme: string & {
    className: string;
    selector: string;
} & {
    colors: {
        primaryOpacity10: import("@stitches/react/types/theme").Token<"primaryOpacity10", string, "colors", "">;
        primaryOpacity20: import("@stitches/react/types/theme").Token<"primaryOpacity20", string, "colors", "">;
        primaryOpacity30: import("@stitches/react/types/theme").Token<"primaryOpacity30", string, "colors", "">;
        primaryOpacity50: import("@stitches/react/types/theme").Token<"primaryOpacity50", string, "colors", "">;
        primaryOpacity60: import("@stitches/react/types/theme").Token<"primaryOpacity60", string, "colors", "">;
        primaryOpacity80: import("@stitches/react/types/theme").Token<"primaryOpacity80", string, "colors", "">;
        primaryOpacity100: import("@stitches/react/types/theme").Token<"primaryOpacity100", string, "colors", "">;
        primaryDark: import("@stitches/react/types/theme").Token<"primaryDark", string, "colors", "">;
        systemMessageDark: import("@stitches/react/types/theme").Token<"systemMessageDark", string, "colors", "">;
        textMuted: import("@stitches/react/types/theme").Token<"textMuted", string, "colors", "">;
        interactiveNormal: import("@stitches/react/types/theme").Token<"interactiveNormal", string, "colors", "">;
        accent: import("@stitches/react/types/theme").Token<"accent", string, "colors", "">;
        background: import("@stitches/react/types/theme").Token<"background", string, "colors", "">;
        backgroundSecondary: import("@stitches/react/types/theme").Token<"backgroundSecondary", string, "colors", "">;
        backgroundTertiary: import("@stitches/react/types/theme").Token<"backgroundTertiary", string, "colors", "">;
        messageHover: import("@stitches/react/types/theme").Token<"messageHover", string, "colors", "">;
        link: import("@stitches/react/types/theme").Token<"link", string, "colors", "">;
        mentioned: import("@stitches/react/types/theme").Token<"mentioned", string, "colors", "">;
        mentionedHover: import("@stitches/react/types/theme").Token<"mentionedHover", string, "colors", "">;
        mentionedBorder: import("@stitches/react/types/theme").Token<"mentionedBorder", string, "colors", "">;
        tooltipBackground: import("@stitches/react/types/theme").Token<"tooltipBackground", string, "colors", "">;
        tooltipForeground: import("@stitches/react/types/theme").Token<"tooltipForeground", string, "colors", "">;
        transparentBlack: import("@stitches/react/types/theme").Token<"transparentBlack", string, "colors", "">;
        blackSpoilerHover: import("@stitches/react/types/theme").Token<"blackSpoilerHover", string, "colors", "">;
        spines: import("@stitches/react/types/theme").Token<"spines", string, "colors", "">;
        attachmentBorder: import("@stitches/react/types/theme").Token<"attachmentBorder", string, "colors", "">;
        danger: import("@stitches/react/types/theme").Token<"danger", string, "colors", "">;
    };
    fonts: {
        main: import("@stitches/react/types/theme").Token<"main", string, "fonts", "">;
    };
    fontSizes: {
        xs: import("@stitches/react/types/theme").Token<"xs", string, "fontSizes", "">;
        s: import("@stitches/react/types/theme").Token<"s", string, "fontSizes", "">;
        m: import("@stitches/react/types/theme").Token<"m", string, "fontSizes", "">;
        l: import("@stitches/react/types/theme").Token<"l", string, "fontSizes", "">;
    };
    space: {
        xxs: import("@stitches/react/types/theme").Token<"xxs", string, "space", "">;
        xs: import("@stitches/react/types/theme").Token<"xs", string, "space", "">;
        small: import("@stitches/react/types/theme").Token<"small", string, "space", "">;
        medium: import("@stitches/react/types/theme").Token<"medium", string, "space", "">;
        large: import("@stitches/react/types/theme").Token<"large", string, "space", "">;
        xl: import("@stitches/react/types/theme").Token<"xl", string, "space", "">;
        xxl: import("@stitches/react/types/theme").Token<"xxl", string, "space", "">;
    };
    sizes: {
        messageLeftPadding: import("@stitches/react/types/theme").Token<"messageLeftPadding", string, "sizes", "">;
        threadButton: import("@stitches/react/types/theme").Token<"threadButton", string, "sizes", "">;
        messageTypeIcon: import("@stitches/react/types/theme").Token<"messageTypeIcon", string, "sizes", "">;
    };
    borderWidths: {
        spines: import("@stitches/react/types/theme").Token<"spines", string, "borderWidths", "">;
    };
}, globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? import("@stitches/react/types/css").AtRule.FontFace | import("@stitches/react/types/css").AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: import("@stitches/react/types/css-util").CSS<{}, {
        colors: {
            primaryOpacity10: string;
            primaryOpacity20: string;
            primaryOpacity30: string;
            primaryOpacity50: string;
            primaryOpacity60: string;
            primaryOpacity80: string;
            primaryOpacity100: string;
            primaryDark: string;
            systemMessageDark: string;
            textMuted: string;
            interactiveNormal: string;
            accent: string;
            background: string;
            backgroundSecondary: string;
            backgroundTertiary: string;
            messageHover: string;
            link: string;
            mentioned: string;
            mentionedHover: string;
            mentionedBorder: string;
            tooltipBackground: string;
            tooltipForeground: string;
            transparentBlack: string;
            blackSpoilerHover: string;
            spines: string;
            attachmentBorder: string;
            danger: string;
        };
        fonts: {
            main: string;
        };
        fontSizes: {
            xs: string;
            s: string;
            m: string;
            l: string;
        };
        space: {
            xxs: string;
            xs: string;
            small: string;
            medium: string;
            large: string;
            xl: string;
            xxl: string;
        };
        sizes: {
            messageLeftPadding: string;
            threadButton: string;
            messageTypeIcon: string;
        };
        borderWidths: {
            spines: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
} : K extends `@property ${string}` ? import("@stitches/react/types/css").AtRule.Property : import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>; })[]) => () => string, keyframes: (style: {
    [offset: string]: import("@stitches/react/types/css-util").CSS<{}, {
        colors: {
            primaryOpacity10: string;
            primaryOpacity20: string;
            primaryOpacity30: string;
            primaryOpacity50: string;
            primaryOpacity60: string;
            primaryOpacity80: string;
            primaryOpacity100: string;
            primaryDark: string;
            systemMessageDark: string;
            textMuted: string;
            interactiveNormal: string;
            accent: string;
            background: string;
            backgroundSecondary: string;
            backgroundTertiary: string;
            messageHover: string;
            link: string;
            mentioned: string;
            mentionedHover: string;
            mentionedBorder: string;
            tooltipBackground: string;
            tooltipForeground: string;
            transparentBlack: string;
            blackSpoilerHover: string;
            spines: string;
            attachmentBorder: string;
            danger: string;
        };
        fonts: {
            main: string;
        };
        fontSizes: {
            xs: string;
            s: string;
            m: string;
            l: string;
        };
        space: {
            xxs: string;
            xs: string;
            small: string;
            medium: string;
            large: string;
            xl: string;
            xxl: string;
        };
        sizes: {
            messageLeftPadding: string;
            threadButton: string;
            messageTypeIcon: string;
        };
        borderWidths: {
            spines: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
}) => {
    (): string;
    name: string;
}, css: <Composers extends (string | React.JSXElementConstructor<any> | React.ExoticComponent<any> | import("@stitches/react/types/util").Function | {
    [name: string]: unknown;
})[], CSS = import("@stitches/react/types/css-util").CSS<{}, {
    colors: {
        primaryOpacity10: string;
        primaryOpacity20: string;
        primaryOpacity30: string;
        primaryOpacity50: string;
        primaryOpacity60: string;
        primaryOpacity80: string;
        primaryOpacity100: string;
        primaryDark: string;
        systemMessageDark: string;
        textMuted: string;
        interactiveNormal: string;
        accent: string;
        background: string;
        backgroundSecondary: string;
        backgroundTertiary: string;
        messageHover: string;
        link: string;
        mentioned: string;
        mentionedHover: string;
        mentionedBorder: string;
        tooltipBackground: string;
        tooltipForeground: string;
        transparentBlack: string;
        blackSpoilerHover: string;
        spines: string;
        attachmentBorder: string;
        danger: string;
    };
    fonts: {
        main: string;
    };
    fontSizes: {
        xs: string;
        s: string;
        m: string;
        l: string;
    };
    space: {
        xxs: string;
        xs: string;
        small: string;
        medium: string;
        large: string;
        xl: string;
        xxl: string;
    };
    sizes: {
        messageLeftPadding: string;
        threadButton: string;
        messageTypeIcon: string;
    };
    borderWidths: {
        spines: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>(...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | React.JSXElementConstructor<any> | React.ExoticComponent<any> | import("@stitches/react/types/util").Function ? Composers[K] : import("@stitches/react/types/stitches").RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    };
    compoundVariants?: (("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T ? { [Name in keyof T]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]>; } : never : import("@stitches/react/types/util").WideObject) & {
        css: CSS;
    })[];
    defaultVariants?: "variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T_1 ? { [Name_1 in keyof T_1]?: import("@stitches/react/types/util").String | import("@stitches/react/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]>; } : never : import("@stitches/react/types/util").WideObject;
} & CSS & (Composers[K] extends infer T_2 ? { [K2 in keyof T_2]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; } : never); }) => import("@stitches/react/types/styled-component").CssComponent<import("@stitches/react/types/styled-component").StyledComponentType<Composers>, import("@stitches/react/types/styled-component").StyledComponentProps<Composers>, {}, CSS>;
