import React, { ReactNode, CSSProperties } from 'react';
import { APIMessage } from 'discord-api-types/v10';

interface MessageProps$1 {
    isFirstMessage?: boolean;
    message: APIMessage;
    isHovered?: boolean;
    showButtons?: boolean;
    thread?: boolean;
    hideTimestamp?: boolean;
}
declare function Message(props: MessageProps$1): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof Message>;

type Svg =
  | "FileArchive"
  | "FileAudio"
  | "FileSketch"
  | "FileAcrobat"
  | "FileAe"
  | "FileAi"
  | "FileCode"
  | "FileDocument"
  | "FileSpreadsheet"
  | "FileWebCode"
  | "FileUnknown"
  | "IconDownload"
  | "IconAdd"
  | "IconRemove"
  | "IconWarning"
  | "IconCheckmark"
  | "IconPin"
  | "IconPencil"
  | "IconBoost"
  | "IconThreadCreated"
  | "IconId"
  | "IconSticker"
  | "IconCommand"
  | "IconAttachment"
  | "IconDanger"
  | "IconPause"
  | "IconFullscreen"
  | "IconPlay"
  | "IconCross"
  | "IconUnknownReply"
  | "MiscDiscordImageFailure";

type MessageRendererProviderProps = {
    children: ({ themeClass }: {
        themeClass: string;
    }) => ReactNode;
    svgUrls?: {
        [svg in Svg]?: string;
    };
};
declare function MessageRendererProvider({ children, svgUrls, }: MessageRendererProviderProps): JSX.Element;

interface MessageProps {
    messages: APIMessage[];
    style?: CSSProperties;
    showButtons?: boolean;
    thread: boolean;
}
declare function MessageGroup(props: MessageProps): JSX.Element;

export { _default as Message, MessageRendererProvider, MessageGroup as default };
